# Uses of Interface
org.apache.velocity.util.introspection.VelMethod

Packages that use VelMethod
Package
Description
org.apache.velocity.util
org.apache.velocity.util.introspection

## Uses of VelMethod in org.apache.velocity.util

Methods in org.apache.velocity.util that return VelMethod
Modifier and Type
Method
Description
`static VelMethod`
ClassUtils.`getMethod(String methodName, Object[] params, Class<?>[] paramClasses, Object o, InternalContextAdapter context, SimpleNode node, boolean strictRef)`
Lookup a VelMethod object given the method signature that is specified in the passed in parameters.

## Uses of VelMethod in org.apache.velocity.util.introspection

Classes in org.apache.velocity.util.introspection that implement VelMethod
Modifier and Type
Class
Description
`static class`
`UberspectImpl.VelMethodImpl`
Implementation of VelMethod
Methods in org.apache.velocity.util.introspection that return VelMethod
Modifier and Type
Method
Description
`VelMethod`
AbstractChainableUberspector.`getMethod(Object obj, String methodName, Object[] args, Info i)`
Method
`VelMethod`
DeprecatedCheckUberspector.`getMethod(Object obj, String methodName, Object[] args, Info i)`
`VelMethod`
LinkingUberspector.`getMethod(Object obj, String methodName, Object[] args, Info i)`
Method
`VelMethod`
Uberspect.`getMethod(Object obj, String method, Object[] args, Info info)`
Returns a general method, corresponding to $foo.bar( $woogie )
`VelMethod`
UberspectImpl.`getMethod(Object obj, String methodName, Object[] args, Info i)`
Method
`VelMethod`
UberspectPublicFields.`getMethod(Object obj, String method, Object[] args, Info info)`